## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanMemMgrAutoPtrArray::MemMgrAutoPtrArrayData Class Template Reference

`#include <XalanMemMgrAutoPtr.hpp>`

List of all members.

## Public Methods

- MemMgrAutoPtrArrayData ()
- MemMgrAutoPtrArrayData (MemoryManager *memoryManager, Type *dataPointer, size_type size)
- bool isInitilized () const
- void deallocate ()
- void reset (MemoryManager *theMemoryManager, Type *thePointer, size_type size)

## Public Attributes

- MemoryManager* m_memoryManager
- Type* m_dataArray
- size_type m_size

### template<class Type> class XalanMemMgrAutoPtrArray::MemMgrAutoPtrArrayData

## Constructor & Destructor Documentation

XalanMemMgrAutoPtrArray::MemMgrAutoPtrArrayData::MemMgrAutoPtrArrayData ( | )

XalanMemMgrAutoPtrArray::MemMgrAutoPtrArrayData::MemMgrAutoPtrArrayData ( | MemoryManager * memoryManager,
| Type * dataPointer,
| size_type size )

## Member Function Documentation

void XalanMemMgrAutoPtrArray::MemMgrAutoPtrArrayData::deallocate ( | )

bool XalanMemMgrAutoPtrArray::MemMgrAutoPtrArrayData::isInitilized ( | ) const

void XalanMemMgrAutoPtrArray::MemMgrAutoPtrArrayData::reset ( | MemoryManager * theMemoryManager,
| Type * thePointer,
| size_type size )

## Member Data Documentation

Type * XalanMemMgrAutoPtrArray::MemMgrAutoPtrArrayData::m_dataArray

MemoryManager * XalanMemMgrAutoPtrArray::MemMgrAutoPtrArrayData::m_memoryManager

size_type XalanMemMgrAutoPtrArray::MemMgrAutoPtrArrayData::m_size

The documentation for this class was generated from the following file:

- XalanMemMgrAutoPtr.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.